function [resInd, features] = extractFeatures(original, processed, result, weight, frame, status, x, y, B)
    resInd = [];
    features = [];

    first = 1;
    prev = 0;
    for i = 1:length(weight)
         if ((prev == 2 || prev == 1)  && status(i) == 3)
         %if (status(i) == 3)
             % we get first stabilized frame
              ind = frame(i, :);
             filename = setstr([original, int2str(i + first), ".jpg"]);
             im = imread(filename);
             im = prepareImage(im);
             
              filename = setstr([processed, int2str(i + first), ".jpg"]);
              prIm = imread(filename); 
              prIm = double(prIm(ind(1):ind(2), ind(3):ind(4)) > 0);
              resultIm = im(ind(1):ind(2), ind(3):ind(4));
              resultIm = double((resultIm .* prIm) > 0);
               filename2 = setstr([result , int2str(i + first), ".jpg"]);
              imwrite(resultIm, filename2); 
              f = getFeature(resultIm, prIm, x, y, B);
             features = [features; f'];
             resInd = [resInd; i];
         end
         prev = status(i);
    end

%---------------------------------------------------------------------------------------------------
function f = getFeature(im, processed, x, y, B)
	
    f = HOG(im, x, y, B);
    [m, n] = size(f);
    f = f(2:(m-1));
    %[m, n] = size(processed);
    %phi = calculatePhiMoments(im);
   %f = [m, n, phi];
   %f = f';
end
%---------------------------------------------------------------------------------------------------
end