function e = extractHand(original, processed, first, weight, frame, status)
    prev = 0;
    for i = 1:length(weight)
         if ((prev == 2 || prev == 1)  && status(i) == 3)
             % we get first stabilized frame
              ind = frame(i, :);
              
             filename = setstr([original, int2str(i + first), ".jpg"]);
             im = imread(filename);
             im = prepareImage(im);
             
              filename = setstr([processed, int2str(i + first), ".jpg"]);
              prIm = imread(filename); 
              resultIm = double((im(ind(1):ind(2), ind(3):ind(4)) .* prIm(ind(1):ind(2), ind(3):ind(4))) > 0);
              
             [d, h, v1] = getfingerfeatures(resultIm);
            % [coords1, v1] = getfingers(resultIm);
             filename2 = setstr(["cut", int2str(i + first), ".jpg"]);
             imwrite(v1, filename2); 
         end
         prev = status(i);
    end
end