% y should be vector with values from 1 to n
function [model, theta] = trainPalm(X, y)
    C = 1;
    sigma = 0.1;
    model = {};
    %[X_norm, mu, sigma] = featureNormalize(X);
    X_norm = X;
    
    %theta = {};
    %for i = 1:max(y)
    %    yi = double(y == i);
        %model{i} = svmTrain(X, yi, C, @(x1, x2) gaussianKernel(x1, x2, sigma)); 
    %    model{i} = svmTrain(X, yi, C, @(x1, x2) momentMatch(x1, x2)); 
        %model{i} = svmTrain(X, yi, C,  @(x1, x2) linearKernel(x1, x2)); 
        %theta{i} = classifier(X, yi);
    %end
     theta = oneVsAll(X_norm, y, 6, 0.1);
    
%-----------------------------------------------------------------------------------------------------------------------
function [all_theta] = oneVsAll(X, y, num_labels, lambda)
    m = size(X, 1);
    n = size(X, 2);
    all_theta = zeros(num_labels, n + 1);
    X = [ones(m, 1) X];
    initial_theta = zeros(n + 1, 1);
    options = optimset('GradObj', 'on', 'MaxIter', 50);
    for c = 1:num_labels
        theta = fminunc (@(t)(lrCostFunction(t, X, (y == c), lambda)), initial_theta, options); 
        all_theta(c,:) = theta;
    end
end
%-----------------------------------------------------------------------------------------------------------------------
end