function p = initProcesses(im)
    [m, n] = size(im);
    k = 5;
    w = ones(m, n);
    mu = double(im);
    delta = ones(m, n) .* 100;
    p = zeros(m, n, 3, k);
    p(:, :, 1, :) = ones(m, n, k) .* -1;
    p(:, :, 1, 1) = w;
    p(:, :, 2, 1) = mu;
    p(:, :, 3, 1) = delta;
end