function m = momentMatch(phi0, phi1)
  I = zeros(1, 3);
  for i = 1:7
    m0 = evaluateMoment(phi0(i));
    m1 = evaluateMoment(phi1(i));
    I(1) += abs(1/m0 - 1/m1);
    dif = abs(m0 - m1);
    I(2) += dif;
    I(3) += dif / abs(m0);
    m = I(3);
  endfor
%-----------------------------------------------------------------------------------------------------
function m = evaluateMoment(phi)
  m = sign(phi) * log(phi);
end
%-----------------------------------------------------------------------------------------------------
end