function Y = predictAllPalm(model, theta)
	
    % percent = 0.84795
     i = 2;
    j = 2;
    k = 9;
    Y = {};
	
    y = processImages('predict/d9', model, theta);
    Y{1} = y;
    % y1 = [2   3  -1   3   2   3   2   3  -1   1   2   3  -1   1   2   1   1   1   2  3   1   2   3  -1   1   2   1   3   1  -1   3   2   1   3   2   1   3   2  1  3   2   1   1   3   2   1   3   2   1]
    
    y = processImages('predict/d10', model, theta);
    Y{2} = y;
    % y2 = [6   6   5   4   6  -1   4   6   6   6   5   4   4   4   6   6   5  -1  -1  6  6   4   4  -1   6   6   5   5   4   6   6   5   5   4   6   6  -1   5   4  4  6   6   6   5   4   4   6   6  -1 ]
    
    y = processImages('predict/d11', model, theta);
    Y{3} = y;
    % y3 = [3   3   2  -1   1   3   2   2   1   1   3   1   2   2   1   3   1   1   2  3   2   3   1   1   1   2   1   1   1   1   2   1   1   3   1   1   2   1   3  1  2   2   1   1   3   1   2   2   1 ]
    
    y = processImages('predict/d12', model, theta);
    Y{4} = y;
    % y4 = [6   6   4   6   6   4   6   6   6   6   4   5   5   5   6   6   4   4   5  5  -1   4   5   5   5   6   6  -1   4   1   6   6   4   4   5   5   6   6   5  4  4   5   5   5   6   6   4   4   5 ]
%----------------------------------------------------------------------------------------------------------------------
function y = processImages(name, model, theta);
    i = 2;
    j = 2;
    k = 9;
	
    load  (setstr([name, "/inf.txt"]));
    im = setstr([name, "/image"]);
    upd = setstr([name, "/processed/upd"]);
    c = setstr([name, "/predict/cut"]);
    [ind, F] = extractFeatures(im, upd, c, weight, frame, status, i, j, k);
    
    name
    y = [];
    for i = 1:length(F)
        X = F{i};
        size(X)
        size(theta)
        [svm, p] = predictPalm(X, model, theta);
        i
        p
        res = predictValue(p);
        y = [y, res];
    end
end
%----------------------------------------------------------------------------------------------------------------------
function res = predictValue(p)
    res = -1;
    l = length(p) / 2;
    u = unique(p);
        for j=1:length(u)
            if (sum(p == u(j)) > l) 
                res = u(j);
            end        
        end
end
%----------------------------------------------------------------------------------------------------------------------
function [resInd, F] = extractFeatures(original, processed, result, weight, frame, status, x, y, B)
    resInd = [];
    F = {};
    features = [];

    first = 1;
    prev = 0;
    n_ind = 0;
    
    for i = 1:length(weight)  
         if (status(i) == 3)
             % we get first stabilized frame
              ind = frame(i, :);
             filename = setstr([original, int2str(i + first), ".jpg"]);
             im = imread(filename);
             im = prepareImage(im);
             
              filename = setstr([processed, int2str(i + first), ".jpg"]);
              prIm = imread(filename); 
              prIm = double(prIm(ind(1):ind(2), ind(3):ind(4)) > 0);
              resultIm = im(ind(1):ind(2), ind(3):ind(4));
              resultIm = double((resultIm .* prIm) > 0);
              
              if(prev == 2 || prev == 1)
                  if (n_ind > 0)
                      F{n_ind} = features;
                      features = [];
                  end
                  n_ind = n_ind + 1
                  filename2 = setstr([result , int2str(i + first), ".jpg"]);
                  imwrite(resultIm, filename2); 
              end
              f = getFeature(resultIm, prIm, x, y, B);
             features = [features; f'];
             resInd = [resInd; i];
         end
         prev = status(i);
    end
    
    if (n_ind > 0)
        F{n_ind} = features;
    end
end
%----------------------------------------------------------------------------------------------------------------------   
function f = getFeature(im, processed, x, y, B)
	
    f = HOG(im, x, y, B);
    [m, n] = size(f);
    f = f(2:(m-1));
     %[m, n] = size(processed);
    %phi = calculatePhiMoments(im);
   %f = [m, n, phi];
   %f = f';
end   
 %----------------------------------------------------------------------------------------------------------------------
end