function  [X, Y] = processAllImages2()
    i = 2;
    j = 2;
    k = 9;
    X = [];
    Y = [];
    y = [];
    
   % 17
    last = 652;
    %[weight,frame,status] = getStatus('d17', last);
    %save 'train/d17/inf.txt' weight frame status;
    load 'train/d17/inf.txt';
    [ind, features, y, X, Y] = getFeatures('d17', last, i, j, k, X, Y, weight, frame, status, y);
    save 'train/d17/inf.txt' weight frame status ind features last y;
     
    % 18
    last = 455;
    [weight,frame,status] = getStatus('d18', last);
    save 'train/d18/inf.txt' weight frame status;
    [ind, features, y, X, Y] = getFeatures('d18', last, i, j, k, X, Y, weight, frame, status, y);
    save 'train/d18/inf.txt' weight frame status ind features last y;
     
    % 19
    last = 632;
    [weight,frame,status] = getStatus('d19', last);
    save 'train/d19/inf.txt' weight frame status;
    [ind, features, y, X, Y] = getFeatures('d19', last, i, j, k, X, Y, weight, frame, status, y);
    save 'train/d19/inf.txt' weight frame status ind features last y;
    
    % 20
    last = 620;
    [weight,frame,status] = getStatus('d20', last);
    save 'train/d20/inf.txt' weight frame status;
    [ind, features, y, X, Y] = getFeatures('d20', last, i, j, k, X, Y, weight, frame, status, y);
    save 'train/d20/inf.txt' weight frame status ind features last y;

%------------------------------------------------------------------------------------------------
function [weight,frame,status] = getStatus(original, last)
    im_file = setstr(["train/", original, "/image"]);
    upd_file = setstr(["train/", original, "/processed/upd"]);
    clust_file = setstr(["train/", original, "/hand/clust"]);
    cut_file = setstr(["train/", original, "/features/cut"]);
    [weight, frame, status] = findHand(upd_file, last - 1, clust_file);
end
%------------------------------------------------------------------------------------------------
function [ind, features, y, X, Y] = getFeatures(original, last, i, j, k, X, Y, weight, frame, status, y)
    im_file = setstr(["train/", original, "/image"]);
    upd_file = setstr(["train/", original, "/processed/upd"]);
    clust_file = setstr(["train/", original, "/hand/clust"]);
    cut_file = setstr(["train/", original, "/features/cut"]);
    [ind, features] = extractFeatures(im_file, upd_file, cut_file, weight, frame, status, i, j, k);
    X = [X; features];
    Y = [Y, y];
    size(features)
end
%------------------------------------------------------------------------------------------------
function [X, Y] = processIm(original, last)
    im_file = setstr(["train/", original, "/image"]);
    upd_file = setstr(["train/", original, "/processed/upd"]);
    multiProcessImages(im_file, upd_file, last);
end
%------------------------------------------------------------------------------------------------
end