function [res, clusters, A, A1] = removeBackground(I, mu, delta)
    e = 3;
    im = double(I);
    res = (abs(mu - im) ./ (sqrt(delta))) > e;
    clusters = removeSmallClusters(double(res));
    
    [x, y] = find(clusters == 1);
    if (length(x) > 0)
    
    [m, n] = size(im);
    minx = max(min(x) - 70, 1);
    maxx = min(max(x), m);
    miny = max(min(y), 1);
    maxy = min(max(y) + 10, n);
    
    %[m, n] = size(im);
    %A = zeros(m, n);
    %A(minx:maxx, miny:maxy) = ones(maxx - minx + 1, maxy - miny + 1);
    A = im(minx:maxx, miny:maxy);
    A1 = clusters(minx:maxx, miny:maxy);
    end
%--------------------------------------------------------------------------
function [r, s, un] = removeSmallClusters(im)
     l = labelClusters(im);
     u = unique(l);
     len = length(u);
     s = zeros(1, len);
     for i = 2:len
         u1 = u(i);
         s(i) = sum(sum(l == u1));
     end
     
     [m, ind] = max(s);
     
     minSize = 1000;
     if (m > minSize)
     r = l == u(ind);
     else
         [n1, n2] = size(l);
         r = zeros(n1, n2);
    end
end
%--------------------------------------------------------------------------
end