function [mu, delta] = trainBakground(name, n)
    d = {};
    filename = setstr([name, int2str(1), ".jpg"]);
    im = imread(filename);
    gray = rgb2gray(im);
    d{1} = gray;
    
    [m1, m2] = size(gray);
    mu = zeros(m1, m2);
    for i = 2:n
        filename = setstr([name, int2str(i), ".jpg"]);
        im = imread(filename);
         gray = rgb2gray(im);
        d{i} = gray;
        mu = mu + double(gray);        
    end
    
    mu = mu ./ n;
    
    delta = zeros(m1, m2);
    for i = 1:n
        delta = delta + ((double(d{i}) - mu) .^ 2);
    end
    
    delta = delta ./ (n - 1);
end